#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           xdg-desktop-portal-kde
Summary:        Backend implementation for xdg-desktop-portal using Qt/KF5
Version: 5.12.2
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://cgit.kde.org/%{name}.git
Source0:        http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Notifications)

Requires:       xdg-desktop-portal
Requires:       flatpak

%description
A backend implementation for xdg-desktop-portal that is using Qt/KF5
and various pieces of KDE infrastructure.

%files -f %{name}.lang
%license COPYING
%{_libexecdir}/%{name}
%{_kf5_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.kde.service
%{_kf5_datadir}/xdg-desktop-portal/portals/kde.portal

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name}


%changelog
* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204511
- New version 5.12.2
- New version 5.12.1
- Add package in mga6

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194749
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185708
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174128
- New version 5.11.2

* Fri Oct 20 2017 daviddavid <daviddavid> 5.11.1-1.mga7
+ Revision: 1172835
- New version 5.11.1

  + neoclust <neoclust>
    - New version 5.10.95
    - New version 5.10.5

* Fri Jul 28 2017 daviddavid <daviddavid> 5.10.4-1.mga7
+ Revision: 1132092
- initial package xdg-desktop-portal-kde

